﻿using System;
using System.Collections.Generic;
using System.Text;
using Opalis.QuickIntegrationKit;

namespace ScheduledTasksIntegrationPack
{
    [OpalisData("Opalis Scheduled Task Trigger")]
    class OpalisTaskTrigger
    {
        private String Type = String.Empty;
        private String BeginDay = String.Empty;
        private String BeginMonth = String.Empty;
        private String BeginYear = String.Empty;
        private String EndDay = String.Empty;
        private String EndMonth = String.Empty;
        private String EndYear = String.Empty;
        private String flags = String.Empty;
        private String MinutesDuration = String.Empty;
        private String MinutesInterval = String.Empty;
        private String RandomMinutesInterval = String.Empty;
        private String StartHour = String.Empty;
        private String StartMinute = String.Empty;
        private String TriggerSize = String.Empty;
        private String Bound = String.Empty;
        private String Disabled = String.Empty;
        private String HasEndDate = String.Empty;
        private String KillAtDurationEnd = String.Empty;

        private String DaysInterval = String.Empty;
        private String MonthlyDateDays = String.Empty;
        private String MonthlyDateMonths = String.Empty;
        private String MonthlyDOWDaysOfTheWeek = String.Empty;
        private String MonthlyDOWMonths = String.Empty;
        private String MonthlyDOWWhichWeek = String.Empty;
        private String weeklyDaysOfTheWeek = String.Empty;
        private String weeklyWeeksInterval = String.Empty;

        private String DisplayString = String.Empty;

        internal OpalisTaskTrigger(String Type, String BeginDay, String BeginMonth, String BeginYear, String EndDay,
                                    String EndMonth, String EndYear, String flags, String MinutesDuration, String MinutesInterval,
                                    String RandomMinutesInterval, String StartHour, String StartMinute, String TriggerSize, String Bound,
                                    String Disabled, String HasEndDate, String KillAtDurationEnd, String DaysInterval, String MonthlyDateDays,
                                    String MonthlyDateMonths, String MonthlyDOWDaysOfTheWeek, String MonthlyDOWMonths, String MonthlyDOWWhichWeek,
                                    String weeklyDaysOfTheWeek, String weeklyWeeksInterval, String DisplayString)
        {
            this.Type = Type;
            this.BeginDay = BeginDay;
            this.BeginMonth = BeginMonth;
            this.BeginYear = BeginYear;
            this.EndDay = EndDay;
            this.EndMonth = EndMonth;
            this.EndYear = EndYear;
            this.flags = flags;
            this.MinutesDuration = MinutesDuration;
            this.MinutesInterval = MinutesInterval;
            this.RandomMinutesInterval = RandomMinutesInterval;
            this.StartHour = StartHour;
            this.StartMinute = StartMinute;
            this.TriggerSize = TriggerSize;
            this.Bound = Bound;
            this.Disabled = Disabled;
            this.HasEndDate = HasEndDate;
            this.KillAtDurationEnd = KillAtDurationEnd;
            this.DaysInterval = DaysInterval;
            this.MonthlyDateDays = MonthlyDateDays;
            this.MonthlyDateMonths = MonthlyDateMonths;
            this.MonthlyDOWDaysOfTheWeek = MonthlyDOWDaysOfTheWeek;
            this.MonthlyDOWMonths = MonthlyDOWMonths;
            this.MonthlyDOWWhichWeek = MonthlyDOWWhichWeek;
            this.weeklyDaysOfTheWeek = weeklyDaysOfTheWeek;
            this.weeklyWeeksInterval = weeklyWeeksInterval;
            this.DisplayString = DisplayString;
        }

        [OpalisOutput, OpalisFilter]
        public String type
        {
            get { return Type; }
        }
        [OpalisOutput, OpalisFilter]
        public String Begin_Day
        {
            get { return BeginDay; }
        }
        [OpalisOutput, OpalisFilter]
        public String Begin_Month
        {
            get { return BeginMonth; }
        }
        [OpalisOutput, OpalisFilter]
        public String Begin_Year
        {
            get { return BeginYear; }
        }
        [OpalisOutput, OpalisFilter]
        public String End_Day
        {
            get { return EndDay; }
        }
        [OpalisOutput, OpalisFilter]
        public String End_Month
        {
            get { return EndMonth; }
        }
        [OpalisOutput, OpalisFilter]
        public String End_Year
        {
            get { return EndYear; }
        }
        [OpalisOutput, OpalisFilter]
        public String Flags
        {
            get { return flags; }
        }
        [OpalisOutput, OpalisFilter]
        public String Minutes_Duration
        {
            get { return MinutesDuration; }
        }
        [OpalisOutput, OpalisFilter]
        public String Minutes_Interval
        {
            get { return MinutesInterval; }
        }
        [OpalisOutput, OpalisFilter]
        public String Random_Minutes_Interval
        {
            get { return RandomMinutesInterval; }
        }
        [OpalisOutput, OpalisFilter]
        public String Start_Hour
        {
            get { return StartHour; }
        }
        [OpalisOutput, OpalisFilter]
        public String Start_Minute
        {
            get { return StartMinute; }
        }
        [OpalisOutput, OpalisFilter]
        public String Trigger_Size
        {
            get { return TriggerSize; }
        }
        [OpalisOutput, OpalisFilter]
        public String bound
        {
            get { return Bound; }
        }
        [OpalisOutput, OpalisFilter]
        public String disabled
        {
            get { return Disabled; }
        }
        [OpalisOutput, OpalisFilter]
        public String Has_End_Date
        {
            get { return HasEndDate; }
        }
        [OpalisOutput, OpalisFilter]
        public String Kill_At_Duration_End
        {
            get { return KillAtDurationEnd; }
        }
        [OpalisOutput, OpalisFilter]
        public String Days_Interval
        {
            get { return DaysInterval; }
        }
        [OpalisOutput, OpalisFilter]
        public String Monthly_Date_Days
        {
            get { return MonthlyDateDays; }
        }
        [OpalisOutput, OpalisFilter]
        public String Monthly_Date_Months
        {
            get { return MonthlyDateMonths; }
        }
        [OpalisOutput, OpalisFilter]
        public String Monthly_DOW_Days_Of_The_Week
        {
            get { return MonthlyDOWDaysOfTheWeek; }
        }
        [OpalisOutput, OpalisFilter]
        public String Monthly_DOW_Months
        {
            get { return MonthlyDOWMonths; }
        }
        [OpalisOutput, OpalisFilter]
        public String Monthly_DOW_Which_Week
        {
            get { return MonthlyDOWWhichWeek; }
        }
        [OpalisOutput, OpalisFilter]
        public String weekly_Days_Of_The_Week
        {
            get { return weeklyDaysOfTheWeek; }
        }
        [OpalisOutput, OpalisFilter]
        public String weekly_Weeks_Interval
        {
            get { return weeklyWeeksInterval; }
        }
        [OpalisOutput, OpalisFilter]
        public String Display_String
        {
            get { return DisplayString; }
        }
    }
}
