﻿using System;
using System.Collections.Generic;
using System.Text;
using Opalis.QuickIntegrationKit;

namespace ScheduledTasksIntegrationPack
{
    [OpalisObject("Run Scheduled Task")]
    class RunScheduledTask : IOpalisObject
    {
        private String computerName = String.Empty;
        private String taskName = String.Empty;
        private String taskStatus = String.Empty;

        public void Design(IOpalisDesigner designer)
        {
            designer.AddInput("Computer Name");
            designer.AddInput("Task Name");
            designer.AddOutput("Task Status").AsString();
        }

        public void Execute(IOpalisRequest request, IOpalisResponse response)
        {
            computerName = request.Inputs["Computer Name"].AsString();
            taskName = request.Inputs["Task Name"].AsString();

            ScheduledTasks st = new ScheduledTasks(@"\\" + computerName);

            Task t = st.OpenTask(taskName);

            t.Run();
            taskStatus = t.Status.ToString();
            t.Close();

            while (taskStatus.Equals("Ready"))
            {
                t = st.OpenTask(taskName);
                taskStatus = t.Status.ToString();
                t.Close();
            }

            st.Dispose();

            response.Publish("Task Status", taskStatus);
        }
    }
}
